%{?nodejs_find_provides_and_requires}

%global packagename istanbul-lib-report
%global enable_tests 1

Name:		nodejs-istanbul-lib-report
Version:	1.1.3
Release:	1%{?dist}
Summary:	Base reporting library for istanbul

License:	BSD
URL:		https://github.com/istanbuljs/istanbuljs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	%{packagename}-tests-%{version}.tar.bz2
Source10:	dl-istanbul-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(istanbul-lib-coverage)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(path-parse)
BuildRequires:	npm(supports-color)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(rimraf)
%endif

%description
Base reporting library for istanbul


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

%nodejs_fixdep supports-color '~4.4.0'

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Apr 26 2018 Jared K. Smith <jsmith@fedoraproject.org> - 1.1.3-1
- Initial packaging
